Show / Hide Table of Contents

# Class ImGuiComponents

Class containing various methods providing ImGui components.

##### Inheritance

System.Object
ImGuiComponents

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Interface.Components

###### Assembly: Dalamud.dll

##### Syntax

    public static class ImGuiComponents

### Methods

| Improve this Doc View Source

#### ColorPickerWithPalette(Int32, String, Vector4)

ColorPicker with palette.

##### Declaration

    public static Vector4 ColorPickerWithPalette(int id, string description, Vector4 originalColor)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | id | Id for the color picker.
System.String | description | The description of the color picker.
System.Numerics.Vector4 | originalColor | The current color.

##### Returns

Type | Description
--- | ---
System.Numerics.Vector4 | Selected color.

| Improve this Doc View Source

#### ColorPickerWithPalette(Int32, String, Vector4, ImGuiColorEditFlags)

ColorPicker with palette with color picker options.

##### Declaration

    public static Vector4 ColorPickerWithPalette(int id, string description, Vector4 originalColor, ImGuiColorEditFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | id | Id for the color picker.
System.String | description | The description of the color picker.
System.Numerics.Vector4 | originalColor | The current color.
ImGuiColorEditFlags | flags | Flags to customize color picker.

##### Returns

Type | Description
--- | ---
System.Numerics.Vector4 | Selected color.

| Improve this Doc View Source

#### HelpMarker(String)

HelpMarker component to add a help icon with text on hover.

##### Declaration

    public static void HelpMarker(string helpText)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | helpText | The text to display on hover.

| Improve this Doc View Source

#### IconButton(Int32, FontAwesomeIcon)

IconButton component to use an icon as a button.

##### Declaration

    public static bool IconButton(int id, FontAwesomeIcon icon)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | id | The ID of the button.
FontAwesomeIcon | icon | The icon for the button.

##### Returns

Type | Description
--- | ---
System.Boolean | Indicator if button is clicked.

| Improve this Doc View Source

#### IconButton(Int32, FontAwesomeIcon, Vector4, Vector4, Vector4)

IconButton component to use an icon as a button with color options.

##### Declaration

    public static bool IconButton(int id, FontAwesomeIcon icon, Vector4 defaultColor, Vector4 activeColor, Vector4 hoveredColor)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | id | The ID of the button.
FontAwesomeIcon | icon | The icon for the button.
System.Numerics.Vector4 | defaultColor | The default color of the button.
System.Numerics.Vector4 | activeColor | The color of the button when active.
System.Numerics.Vector4 | hoveredColor | The color of the button when hovered.

##### Returns

Type | Description
--- | ---
System.Boolean | Indicator if button is clicked.

| Improve this Doc View Source

#### Test()

Test component to demonstrate how ImGui components work.

##### Declaration

    public static void Test()

| Improve this Doc View Source

#### TextWithLabel(String, String, String)

TextWithLabel component to show labeled text.

##### Declaration

    public static void TextWithLabel(string label, string value, string hint = "")

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label | The label for text.
System.String | value | The text value.
System.String | hint | The hint to show on hover.